using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class FmsManualGroup {
        public FmsManualGroup() {
            FmsManual = new HashSet<FmsManual>();
        }

        [Display(Name = "고유번호"), Key]
        public int ManualGroupId { get; set; }
        [Display(Name = "분류명"), Required]
        [StringLength(50)]
        public string Name { get; set; }
        [Display(Name = "사용여부"), Required]
        public bool? IsUse { get; set; }

        [InverseProperty("FmsManualGroup")]
        public virtual ICollection<FmsManual> FmsManual { get; set; }
    }
}
